
Foreman - Bug #11813

Use new engines listing syntax

09/15/2015 06:28 AM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Rails   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2719

  

Description

Rails 4 deprecates Rails.application.railties.engines, the new syntax ::Rails::Engine.subclasses.map(&:instance) is needed to

upgrade.

Related issues:

Related to Foreman - Tracker #3157: Rails 4.1 upgrade tasks Closed 09/27/2013

Associated revisions

Revision 978c5fd9 - 09/17/2015 02:28 AM - Daniel Lobato Garcia

Fixes #11813 - Use new engines listing syntax

Revision 783efdcc - 10/21/2015 10:47 AM - Daniel Lobato Garcia

Refs #11813 - Use new engines listing syntax in initializers

Revision 40cfadc7 - 10/28/2015 11:18 AM - Daniel Lobato Garcia

Refs #11813 - Use new engines listing syntax in initializers

(cherry picked from commit 783efdcc293d9c4540b373fe8c5c48ffb11857de)

History

#1 - 09/15/2015 06:28 AM - Daniel Lobato Garcia

- Related to Tracker #3157: Rails 4.1 upgrade tasks added

#2 - 09/15/2015 06:35 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2719 added

- Pull request deleted ()

#3 - 09/17/2015 03:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 978c5fd9284930c7c4f2c044f5396a025f981cf1.

#4 - 09/17/2015 03:03 AM - Ohad Levy

- translation missing: en.field_release set to 63

#5 - 09/17/2015 03:07 AM - Dominic Cleal

- Category set to Rails

- Assignee set to Daniel Lobato Garcia

05/09/2024 1/2

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/978c5fd9284930c7c4f2c044f5396a025f981cf1


Powered by TCPDF (www.tcpdf.org)

05/09/2024 2/2

http://www.tcpdf.org

